<head>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <title>Login - Spotify</title>
</head>

<div style="display: flex; justify-content:center; padding-top:50px;">
    <a href="{{ url_for('index') }}"><img height=50px width=170px src="{{ url_for('static',filename='img/SpotifyLogoBlack.png') }}" alt="Spotify"></a>
</div>
<hr>
<div style="display: flex; justify-content:center;">
    <form method="post" novalidate>
        {{ form.hidden_tag() }}
        <div class="form-group">
            {{ form.email(size=64) }}<br> {% for error in form.email.errors %}
            <span style="color: red;">[{{ error }}]</span> {% endfor %}
        </div>
        <div class="form-group">
            {{ form.password(size=64) }} <br> {% for error in form.password.errors %}
            <span style="color: red;">[{{ error }}]</span> {% endfor %}
        </div>
        <div class="form-group form-check">
            {{ form.remember_me() }} {{ form.remember_me.label }}
            <div style="float: right;"> {{ form.submit() }}</div>
        </div>
        <div style="display: flex; justify-content: center">
            <a href="{{ url_for('reset_password_request') }}" style="color: #1db954;">Forgot Your Password?</a>
        </div>
    </form>
</div>
<div style="display: flex; flex-direction:column; align-items:center;">
    <div style="padding:10px;">Don't have an account ?</div>
    <div><a href="{{ url_for('signup') }}" class="btn btn-outline-dark ">SIGN UP FOR SPOTIFY</a></div>
</div>

{% with messages = get_flashed_messages() %} {% if messages %}
<ul>
    {% for message in messages %}
    <li>{{ message }}</li>
    {% endfor %}
</ul>
{% endif %} {% endwith %}



<!-- <h1>Sign In</h1>
<form action="" method="post" novalidate>
    {{ form.hidden_tag() }}
    <p>
        {{ form.email.label }}<br> {{ form.email(size=32) }} <br> {% for error in form.email.errors %}
        <span style="color: red;">[{{ error }}]</span> {% endfor %}
    </p>
    <p>
        {{ form.password.label }}<br> {{ form.password(size=32) }} <br> {% for error in form.password.errors %}
        <span style="color: red;">[{{ error }}]</span> {% endfor %}
    </p>
    <p>{{ form.remember_me() }} {{ form.remember_me.label }}</p> <br>
    <p>{{ form.submit() }}</p>
    {% with messages = get_flashed_messages() %} {% if messages %}
    <ul>
        {% for message in messages %}
        <li>{{ message }}</li>
        {% endfor %}
    </ul>
    {% endif %} {% endwith %}
</form>
<p>
    Forgot Your Password?
    <a href="{{ url_for('reset_password_request') }}">Click to Reset It</a>
</p> -->